Skip to content

models module route (requires models:registry:write)

POST
/v1/m/models/model-versions
curl --request POST \
--url https://example.com/v1/m/models/model-versions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "artifact_ref": "example", "id": "example", "note": "example", "owned_ref": "example", "parent_ref": "example", "source_ref": "example", "status": "", "version": "example" }'

Creates one model version; the owned model it belongs to must exist in the same tenant.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
artifact_ref
string
id
string
note
string
owned_ref
required
string
>= 1 characters /\S/
parent_ref
string
source_ref
string
status
string
default: draft
Allowed values: "" draft active deprecated
version
required
string
>= 1 characters /\S/

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}